ソースを参照

Merge remote-tracking branch 'upstream/debian/sid' into feature/source-deb822

Michael Vogt 12 年 前
コミット
35808e7a51
共有65 個のファイルを変更した63233 個の追加59835 個の削除を含む
  1. 0 1
      apt-pkg/deb/dpkgpm.h
  2. 25 7
      apt-pkg/install-progress.cc
  3. 6 3
      apt-pkg/install-progress.h
  4. 1 1
      configure.ac
  5. 23 0
      debian/changelog
  6. 0 1
      debian/gbp.conf
  7. 79 3
      debian/libapt-pkg4.12.symbols
  8. 1 1
      doc/apt-verbatim.ent
  9. 1 1
      doc/makefile
  10. 712 638
      doc/po/apt-doc.pot
  11. 788 671
      doc/po/de.po
  12. 784 668
      doc/po/es.po
  13. 779 665
      doc/po/fr.po
  14. 785 669
      doc/po/it.po
  15. 780 669
      doc/po/ja.po
  16. 763 668
      doc/po/pl.po
  17. 783 667
      doc/po/pt.po
  18. 734 661
      doc/po/pt_BR.po
  19. 1179 1143
      po/ar.po
  20. 1321 1261
      po/ast.po
  21. 1342 1282
      po/bg.po
  22. 998 1015
      po/bs.po
  23. 1334 1272
      po/ca.po
  24. 1333 1273
      po/cs.po
  25. 1316 1259
      po/cy.po
  26. 1333 1273
      po/da.po
  27. 1365 1304
      po/de.po
  28. 1303 1249
      po/dz.po
  29. 1312 1257
      po/el.po
  30. 1339 1278
      po/es.po
  31. 1312 1255
      po/eu.po
  32. 1313 1256
      po/fi.po
  33. 1373 1311
      po/fr.po
  34. 1339 1276
      po/gl.po
  35. 1339 1285
      po/hu.po
  36. 1356 1293
      po/it.po
  37. 1344 1285
      po/ja.po
  38. 1282 1228
      po/km.po
  39. 1315 1255
      po/ko.po
  40. 1049 1063
      po/ku.po
  41. 1194 1147
      po/lt.po
  42. 1305 1247
      po/mr.po
  43. 1319 1258
      po/nb.po
  44. 1287 1233
      po/ne.po
  45. 1338 1276
      po/nl.po
  46. 1300 1244
      po/nn.po
  47. 1361 1300
      po/pl.po
  48. 1342 1283
      po/pt.po
  49. 1322 1267
      po/pt_BR.po
  50. 1324 1268
      po/ro.po
  51. 1353 1293
      po/ru.po
  52. 1339 1279
      po/sk.po
  53. 1336 1285
      po/sl.po
  54. 1334 1272
      po/sv.po
  55. 1304 1247
      po/th.po
  56. 1306 1252
      po/tl.po
  57. 1337 1278
      po/tr.po
  58. 1348 1287
      po/uk.po
  59. 1333 1273
      po/vi.po
  60. 1290 1233
      po/zh_CN.po
  61. 1287 1231
      po/zh_TW.po
  62. 29 12
      prepare-release
  63. 1 1
      vendor/debian/makefile
  64. 2 1
      vendor/makefile
  65. 1 1
      vendor/ubuntu/makefile

+ 0 - 1
apt-pkg/deb/dpkgpm.h

@@ -89,7 +89,6 @@ class pkgDPkgPM : public pkgPackageManager
                                       const std::string &short_pkgname);
 
    // Terminal progress 
-   void SetupTerminalScrollArea(int nr_scrolled_rows);
    void SendTerminalProgress(float percentage);
 
    // apport integration

+ 25 - 7
apt-pkg/install-progress.cc

@@ -10,6 +10,7 @@
 #include <sstream>
 #include <fcntl.h>
 
+
 namespace APT {
 namespace Progress {
 
@@ -221,6 +222,14 @@ bool PackageManagerProgressDeb822Fd::StatusChanged(std::string PackageName,
    return true;
 }
 
+int PackageManagerFancy::GetNumberTerminalRows()
+{
+   struct winsize win;
+   if(ioctl(STDOUT_FILENO, TIOCGWINSZ, (char *)&win) != 0)
+      return -1;
+   
+   return win.ws_row;
+}
 
 void PackageManagerFancy::SetupTerminalScrollArea(int nr_rows)
 {
@@ -248,23 +257,32 @@ void PackageManagerFancy::SetupTerminalScrollArea(int nr_rows)
 }
 
 PackageManagerFancy::PackageManagerFancy()
-   : nr_terminal_rows(-1)
 {
-   struct winsize win;
-   if(ioctl(STDOUT_FILENO, TIOCGWINSZ, (char *)&win) == 0)
-   {
-      nr_terminal_rows = win.ws_row;
-   }
+   // setup terminal size
+   old_SIGWINCH = signal(SIGWINCH, HandleSIGWINCH);
+}
+
+PackageManagerFancy::~PackageManagerFancy()
+{
+   signal(SIGWINCH, old_SIGWINCH);
+}
+
+void PackageManagerFancy::HandleSIGWINCH(int)
+{
+   int nr_terminal_rows = GetNumberTerminalRows();
+   SetupTerminalScrollArea(nr_terminal_rows);
 }
 
 void PackageManagerFancy::Start()
 {
+   int nr_terminal_rows = GetNumberTerminalRows();
    if (nr_terminal_rows > 0)
       SetupTerminalScrollArea(nr_terminal_rows);
 }
 
 void PackageManagerFancy::Stop()
 {
+   int nr_terminal_rows = GetNumberTerminalRows();
    if (nr_terminal_rows > 0)
    {
       SetupTerminalScrollArea(nr_terminal_rows + 1);
@@ -284,7 +302,7 @@ bool PackageManagerFancy::StatusChanged(std::string PackageName,
           HumanReadableAction))
       return false;
 
-   int row = nr_terminal_rows;
+   int row = GetNumberTerminalRows();
 
    static string save_cursor = "\033[s";
    static string restore_cursor = "\033[u";

+ 6 - 3
apt-pkg/install-progress.h

@@ -3,7 +3,7 @@
 
 #include <string>
 #include <unistd.h>
-
+#include <signal.h>
 
 namespace APT {
 namespace Progress {
@@ -117,11 +117,14 @@ namespace Progress {
  class PackageManagerFancy : public PackageManager
  {
  protected:
-    int nr_terminal_rows;
-    void SetupTerminalScrollArea(int nr_rows);
+    static void SetupTerminalScrollArea(int nr_rows);
+    static int GetNumberTerminalRows();
+    static void HandleSIGWINCH(int);
+    sighandler_t old_SIGWINCH;
 
  public:
     PackageManagerFancy();
+    ~PackageManagerFancy();
     virtual void Start();
     virtual void Stop();
     virtual bool StatusChanged(std::string PackageName, 

+ 1 - 1
configure.ac

@@ -18,7 +18,7 @@ AC_CONFIG_AUX_DIR(buildlib)
 AC_CONFIG_HEADER(include/config.h:buildlib/config.h.in include/apti18n.h:buildlib/apti18n.h.in)
 
 PACKAGE="apt"
-PACKAGE_VERSION="0.9.9.4"
+PACKAGE_VERSION="0.9.14"
 PACKAGE_MAIL="APT Development Team <deity@lists.debian.org>"
 AC_DEFINE_UNQUOTED(PACKAGE,"$PACKAGE")
 AC_DEFINE_UNQUOTED(PACKAGE_VERSION,"$PACKAGE_VERSION")

+ 23 - 0
debian/changelog

@@ -1,3 +1,26 @@
+apt (0.9.14) unstable; urgency=low
+
+  [ David Kalnischkies ]
+  * merge ubuntus apport reporting changes to reduce diff
+  * enable NOISE for build logs to enable analyse
+  * introduce a vendor system to change sources.list
+  * add a vendor specific file to have configurable entities
+  * use a substvar to set the archive-keyring in debian/control
+  * cherry-pick ubuntus (disabled) net-update fixes
+  * generate apt-key script with vendor info about keys
+  * drop old /var/state to /var/lib transition artefacts
+
+  [ Steve Langasek ]
+  * prepare-release: declare the packages needed as source build deps.
+
+  [ Michael Vogt ]
+  * enable release based selection for deb-src (closes: 731102)
+  * document Dpkg::Progress-Fancy (closes: 726169), thanks to James McCoy
+  * vendor/makefile: fix build error for parallel builds
+  * Handle SIGWINCH in APT::Progress-Fancy=1
+
+ -- Michael Vogt <mvo@debian.org>  Sat, 07 Dec 2013 14:54:31 +0100
+
 apt (0.9.13.1) unstable; urgency=low
 
   [ Colin Watson ]

+ 0 - 1
debian/gbp.conf

@@ -1,6 +1,5 @@
 [DEFAULT]
 prebuild = ./prepare-release pre-export
 postbuild = ./prepare-release post-build
-export-dir = ../build-area
 debian-branch = debian/sid
 debian-tag = %(version)s

ファイルの差分が大きいため隠しています
+ 79 - 3
debian/libapt-pkg4.12.symbols


+ 1 - 1
doc/apt-verbatim.ent

@@ -219,7 +219,7 @@
 ">
 
 <!-- this will be updated by 'prepare-release' -->
-<!ENTITY apt-product-version "0.9.7.6ubuntu2">
+<!ENTITY apt-product-version "0.9.14">
 
 <!-- (Code)names for various things used all over the place -->
 <!ENTITY oldstable-codename "squeeze">

+ 1 - 1
doc/makefile

@@ -28,7 +28,7 @@ include $(COPY_H)
 
 clean: clean/subdirs clean/examples
 veryclean: veryclean/subdirs clean/examples
-manpages: manpages/subdirs apt-vendor.ent
+manpages: apt-vendor.ent manpages/subdirs
 debiandoc: debiandoc/subdirs
 
 DOCUMENTATIONPO = $(patsubst %.po,%,$(notdir $(wildcard po/*.po)))

ファイルの差分が大きいため隠しています
+ 712 - 638
doc/po/apt-doc.pot


ファイルの差分が大きいため隠しています
+ 788 - 671
doc/po/de.po


ファイルの差分が大きいため隠しています
+ 784 - 668
doc/po/es.po


ファイルの差分が大きいため隠しています
+ 779 - 665
doc/po/fr.po


ファイルの差分が大きいため隠しています
+ 785 - 669
doc/po/it.po


ファイルの差分が大きいため隠しています
+ 780 - 669
doc/po/ja.po


ファイルの差分が大きいため隠しています
+ 763 - 668
doc/po/pl.po


ファイルの差分が大きいため隠しています
+ 783 - 667
doc/po/pt.po


ファイルの差分が大きいため隠しています
+ 734 - 661
doc/po/pt_BR.po


ファイルの差分が大きいため隠しています
+ 1179 - 1143
po/ar.po


ファイルの差分が大きいため隠しています
+ 1321 - 1261
po/ast.po


ファイルの差分が大きいため隠しています
+ 1342 - 1282
po/bg.po


ファイルの差分が大きいため隠しています
+ 998 - 1015
po/bs.po


ファイルの差分が大きいため隠しています
+ 1334 - 1272
po/ca.po


ファイルの差分が大きいため隠しています
+ 1333 - 1273
po/cs.po


ファイルの差分が大きいため隠しています
+ 1316 - 1259
po/cy.po


ファイルの差分が大きいため隠しています
+ 1333 - 1273
po/da.po


ファイルの差分が大きいため隠しています
+ 1365 - 1304
po/de.po


ファイルの差分が大きいため隠しています
+ 1303 - 1249
po/dz.po


ファイルの差分が大きいため隠しています
+ 1312 - 1257
po/el.po


ファイルの差分が大きいため隠しています
+ 1339 - 1278
po/es.po


ファイルの差分が大きいため隠しています
+ 1312 - 1255
po/eu.po


ファイルの差分が大きいため隠しています
+ 1313 - 1256
po/fi.po


ファイルの差分が大きいため隠しています
+ 1373 - 1311
po/fr.po


ファイルの差分が大きいため隠しています
+ 1339 - 1276
po/gl.po


ファイルの差分が大きいため隠しています
+ 1339 - 1285
po/hu.po


ファイルの差分が大きいため隠しています
+ 1356 - 1293
po/it.po


ファイルの差分が大きいため隠しています
+ 1344 - 1285
po/ja.po


ファイルの差分が大きいため隠しています
+ 1282 - 1228
po/km.po


ファイルの差分が大きいため隠しています
+ 1315 - 1255
po/ko.po


ファイルの差分が大きいため隠しています
+ 1049 - 1063
po/ku.po


ファイルの差分が大きいため隠しています
+ 1194 - 1147
po/lt.po


ファイルの差分が大きいため隠しています
+ 1305 - 1247
po/mr.po


ファイルの差分が大きいため隠しています
+ 1319 - 1258
po/nb.po


ファイルの差分が大きいため隠しています
+ 1287 - 1233
po/ne.po


ファイルの差分が大きいため隠しています
+ 1338 - 1276
po/nl.po


ファイルの差分が大きいため隠しています
+ 1300 - 1244
po/nn.po


ファイルの差分が大きいため隠しています
+ 1361 - 1300
po/pl.po


ファイルの差分が大きいため隠しています
+ 1342 - 1283
po/pt.po


ファイルの差分が大きいため隠しています
+ 1322 - 1267
po/pt_BR.po


ファイルの差分が大きいため隠しています
+ 1324 - 1268
po/ro.po


ファイルの差分が大きいため隠しています
+ 1353 - 1293
po/ru.po


ファイルの差分が大きいため隠しています
+ 1339 - 1279
po/sk.po


ファイルの差分が大きいため隠しています
+ 1336 - 1285
po/sl.po


ファイルの差分が大きいため隠しています
+ 1334 - 1272
po/sv.po


ファイルの差分が大きいため隠しています
+ 1304 - 1247
po/th.po


ファイルの差分が大きいため隠しています
+ 1306 - 1252
po/tl.po


ファイルの差分が大きいため隠しています
+ 1337 - 1278
po/tr.po


ファイルの差分が大きいため隠しています
+ 1348 - 1287
po/uk.po


ファイルの差分が大きいため隠しています
+ 1333 - 1273
po/vi.po


ファイルの差分が大きいため隠しています
+ 1290 - 1233
po/zh_CN.po


ファイルの差分が大きいため隠しています
+ 1287 - 1231
po/zh_TW.po


+ 29 - 12
prepare-release

@@ -1,15 +1,18 @@
 #!/bin/sh
-
 set -e
 
+dpkg-checkbuilddeps -d 'libxml2-utils'
+
+if [ -n "${GBP_BUILD_DIR}" ]; then
+   cd "$GBP_BUILD_DIR"
+fi
+
 VERSION=$(dpkg-parsechangelog | sed -n -e '/^Version:/s/^Version: //p')
 DISTRIBUTION=$(dpkg-parsechangelog | sed -n -e '/^Distribution:/s/^Distribution: //p')
 
 LIBAPTPKGVERSION="$(awk -v ORS='.' '/^\#define APT_PKG_M/ {print $3}' apt-pkg/init.h | sed 's/\.$//')"
 LIBAPTINSTVERSION="$(egrep '^MAJOR=' apt-inst/makefile |cut -d '=' -f 2)"
 
-dpkg-checkbuilddeps -d 'libxml2-utils'
-
 if [ "$1" = 'pre-export' ]; then
 	libraryversioncheck() {
 		local LIBRARY="$1"
@@ -47,27 +50,41 @@ if [ "$1" = 'pre-export' ]; then
 	sed -i -e "s/^<!ENTITY apt-product-version \".*\">$/<!ENTITY apt-product-version \"${VERSION}\">/" doc/apt-verbatim.ent
 elif [ "$1" = 'post-build' ]; then
 	if [ "$DISTRIBUTION" != "UNRELEASED" ]; then
-		echo >&2 "REMEMBER: Tag this release with »bzr tag ${VERSION}« if you are satisfied"
+		echo >&2 "REMEMBER: Tag this release with »git tag ${VERSION}« if you are satisfied"
 	else
 		echo >&2 'REMEMBER: Change to a valid distribution before release'
 	fi
-	if ! xmllint --nonet --valid --noout $(find doc/ -maxdepth 1 -name '*.xml'); then
-		echo >&2 'WARNING: original docbook manpages have errors!'
-	elif ! xmllint --nonet --valid --noout $(find doc/ -mindepth 2 -maxdepth 2 -name '*.xml'); then
-		echo >&2 'WARNING: translated docbook manpages have errors, but originals are okay!'
+
+	# check the manpages with each vendor for vendor-specific errors…
+	find vendor -mindepth 1 -maxdepth 1 -type d | cut -d'/' -f 2 | while read DISTRO; do
+		ln -sf ../vendor/${DISTRO}/apt-vendor.ent doc
+		if ! xmllint --nonet --valid --noout $(find doc/ -maxdepth 1 -name '*.xml'); then
+			echo >&2 "WARNING: original docbook manpages have errors with vendor ${DISTRO}!"
+		fi
+	done
+	# lets assume we will always have a german manpage translation
+	if [ -e 'doc/de/' ]; then
+		# … but check the translations only with one vendor for translation-specific errors
+		if ! xmllint --nonet --valid --noout $(find doc/ -mindepth 2 -maxdepth 2 -name '*.xml'); then
+			echo >&2 "WARNING: translated docbook manpages have errors!"
+		fi
+	else
+		echo >&2 "ERROR: translated manpages need to be build before they can be checked!"
 	fi
+	rm -f doc/apt-vendor.ent
+
 elif [ "$1" = 'library' ]; then
 	librarysymbols() {
 		echo "Checking $1 in version $2"
 		local tmpfile=$(mktemp)
-		dpkg-gensymbols -p${1}${2} -ebuild/bin/${1}.so.${2} -Idebian/${1}${2}.symbols -O/dev/null 2> /dev/null > $tmpfile
+		dpkg-gensymbols -p${1}${2} -ebuild/bin/${1}.so.${2} -Idebian/${1}${2}.symbols -O/dev/null 2> /dev/null > $tmpfile || true
 		echo '=== Missing symbols:'
-		grep '^+#MISSING' $tmpfile
+		grep '^+#MISSING' $tmpfile || true
 		echo '=== New symbols:'
 		grep '^+ ' $tmpfile | cut -d' ' -f 2 | cut -d'@' -f 1 | c++filt | while read line; do
 			echo " (c++)\"${line}@Base\" $VERSION"
 		done | sort -u
-		rm $tmpfile
+		rm -f $tmpfile
 	}
 	librarysymbols 'libapt-pkg' "${LIBAPTPKGVERSION}"
 	echo
@@ -77,7 +94,7 @@ else
 \t$0 post-build
 \t$0 library
 
-If you use »bzr builddeb« you can leave this script alone as it will
+If you use »git buildpackage« you can leave this script alone as it will
 be run at the right places auto-magically. Otherwise you should use
 »pre-export« to update po and pot files as well as version numbering.
 »post-build« can be used to run some more or less useful checks later on.

+ 1 - 1
vendor/debian/makefile

@@ -5,7 +5,7 @@ SUBDIR=vendor/debian
 # Bring in the default rules
 include ../../buildlib/defaults.mak
 
-doc: sources.list
+doc binary manpages: sources.list
 
 sources.list: sources.list.in ../../doc/apt-verbatim.ent
 	sed -e 's#&stable-codename;#$(shell ../getinfo debian-stable-codename)#g' $< > $@

+ 2 - 1
vendor/makefile

@@ -12,8 +12,9 @@ doc: doc/subdirs
 clean: clean/subdirs
 veryclean: veryclean/subdirs
 dirs: dirs/subdirs
+manpages: manpages/subdirs
 
-all/subdirs binary/subdirs doc/subdirs dirs/subdirs:
+all/subdirs binary/subdirs doc/subdirs dirs/subdirs manpages/subdirs:
 	$(MAKE) -C current $(patsubst %/subdirs,%,$@)
 
 clean/subdirs veryclean/subdirs:

+ 1 - 1
vendor/ubuntu/makefile

@@ -5,7 +5,7 @@ SUBDIR=vendor/ubuntu
 # Bring in the default rules
 include ../../buildlib/defaults.mak
 
-doc: sources.list
+doc binary manpages: sources.list
 
 sources.list: sources.list.in ../../doc/apt-verbatim.ent
 	sed -e 's#&ubuntu-codename;#$(shell ../getinfo ubuntu-codename)#g' $< > $@